Delete a work item type
DELETE/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/{type_id}/
Permanently deletes a work item type from a project. This action cannot be undone.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
project_id:requiredstringThe unique identifier of the project.
type_id:requiredstringThe unique identifier for the work item type.
Scopes
projects.work_item_types:write
Delete a work item type
bash
curl -X DELETE \ "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-item-types/{type_id}/" \ -H "X-API-Key: $PLANE_API_KEY" \ # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \python
import requests response = requests.delete( "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-item-types/{type_id}/", headers={"X-API-Key": "your-api-key"} ) print(response.json())javascript
const response = await fetch( "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-item-types/{type_id}/", { method: "DELETE", headers: { "X-API-Key": "your-api-key", }, } ); const data = await response.json();Response204
json
// 204 No Content
